Package org.eclipse.rdf4j.queryrender.builder

## Class BasicGroup

- java.lang.Object
- - org.eclipse.rdf4j.queryrender.builder.BasicGroup

- All Implemented Interfaces:
    `Group`, `SupportsExpr`

      @Deprecated
      public class BasicGroup
      extends Object
      implements Group

  Deprecated.
  use `SparqlBuilder` instead.

  Internal class for representing a group within a query.

  Author:
    Michael Grove

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasicGroup​(boolean theOptional)` | Deprecated. Create a new BasicGroup

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(TupleExpr theExpr)` | Deprecated.
    `void` | `addAll​(Collection<? extends TupleExpr> theTupleExprs)` | Deprecated.
    `void` | `addChild​(Group theGroup)` | Deprecated.
    `void` | `addFilter​(ValueExpr theExpr)` | Deprecated. Add a Filter to this group
    `TupleExpr` | `expr()` | Deprecated.
    `Collection<StatementPattern>` | `getPatterns()` | Deprecated.
    `boolean` | `isEmpty()` | Deprecated.
    `boolean` | `isOptional()` | Deprecated.
    `void` | `removeChild​(Group theGroup)` | Deprecated. Remove a child from this group
    `int` | `size()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicGroup

          public BasicGroup​(boolean theOptional)

      Deprecated.
      Create a new BasicGroup
      Parameters:
        `theOptional` - whether or not the patterns and filters in this group are optional

  - ### Method Detail

    - #### size

          public int size()

      Deprecated.
      Specified by:
        `size` in interface `Group`

    - #### addChild

          public void addChild​(Group theGroup)

      Deprecated.
      Specified by:
        `addChild` in interface `Group`

    - #### removeChild

          public void removeChild​(Group theGroup)

      Deprecated.
      Remove a child from this group
      Parameters:
        `theGroup` - the child to remove

    - #### addFilter

          public void addFilter​(ValueExpr theExpr)

      Deprecated.
      Add a Filter to this group
      Parameters:
        `theExpr` - the value filter to add

    - #### isEmpty

          public boolean isEmpty()

      Deprecated.

    - #### isOptional

          public boolean isOptional()

      Deprecated.
      Specified by:
        `isOptional` in interface `Group`

    - #### expr

          public TupleExpr expr()

      Deprecated.
      Specified by:
        `expr` in interface `SupportsExpr`

    - #### add

          public void add​(TupleExpr theExpr)

      Deprecated.

    - #### addAll

          public void addAll​(Collection<? extends TupleExpr> theTupleExprs)

      Deprecated.

    - #### getPatterns

          public Collection<StatementPattern> getPatterns()

      Deprecated.